Bug 1044784 (CVE-2013-6447) - CVE-2013-6447 JBoss Seam: XML eXternal Entity (XXE) flaw in remoting
Summary: CVE-2013-6447 JBoss Seam: XML eXternal Entity (XXE) flaw in remoting
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-6447
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140120,repor...
Depends On: 1052099 1055841
Blocks: 1044795 1049751
TreeView+ depends on / blocked
 
Reported: 2013-12-19 02:04 UTC by David Jorm
Modified: 2019-06-08 19:50 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 05:46:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0045 normal SHIPPED_LIVE Moderate: Red Hat JBoss Web Framework Kit 2.4.0 update 2014-01-20 22:30:41 UTC

Description David Jorm 2013-12-19 02:04:58 UTC
It was found that the ExecutionHandler, PollHandler and SubscriptionHandler classes in JBoss Seam Remoting would unmarshall user-supplied XML, and resolve external entities in this XML. A remote attacker could use this flaw to read files accessible to the user running the application server, and potentially perform other more advanced XXE attacks.

Comment 1 David Jorm 2013-12-20 01:27:27 UTC
Acknowledgements:

Red Hat would like to thank Jon Passki of Coverity SRL for reporting this issue.

Comment 3 errata-xmlrpc 2014-01-20 17:32:11 UTC
This issue has been addressed in following products:

  Red Hat JBoss Web Framework Kit 2.4.0

Via RHSA-2014:0045 https://rhn.redhat.com/errata/RHSA-2014-0045.html

Comment 6 David Jorm 2014-03-18 00:15:34 UTC
Statement:

This issue affects Seam 3 remoting, but Seam 3 is not shipped with any Red Hat products, and Seam 3 development has been terminated. This issue is not currently planned to be addressed in a future update to Seam 3.

Red Hat JBoss BRMS 5; Red Hat JBoss Enterprise Application Platform 4 and 5; Red Hat JBoss Enterprise Portal Platform 5; Red Hat JBoss Enterprise SOA Platform 4 and 5; and Red Hat JBoss Enterprise Web Platform 5 are now in Phase 3, Extended Life Support, of their respective life cycles. This issue has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat JBoss Middleware and Red Hat JBoss Operations Network Product Update and Support Policy: https://access.redhat.com/support/policy/updates/jboss_notes/


Note You need to log in before you can comment on or make changes to this bug.